TRUNCATE(1)

NUME
truncate - micșorează sau extinde dimensiunea unui fișier la dimensiunea specificată

SINOPSIS
truncate OPȚIUNE... FIȘIER...

DESCRIERE

Reduce sau extinde dimensiunea fiecărui FIȘIER la dimensiunea specificată

Un argument FIȘIER care nu există este creat.

Dacă un FIȘIER este mai mare decât dimensiunea specificată, datele suplimentare se pierd. Dacă un FIȘIER este mai scurt, acesta este extins și partea extinsă dispersă (gaura), se citește ca zero octeți.

Argumentele obligatorii pentru opțiunile lungi sunt de asemenea obligatorii pentru opțiunile scurte.

-c, --no-create
    nu creează niciun fel de fișiere

-o, --io-blocks
    tratează DIMENSIUNEA ca număr de blocuri de In/Ieș în loc de octeți

-r, --reference=FIȘIER_REF
    dimensiunea de bază pe FIȘIER_REF

-s, --size=DIMENSIUNE
    stabilește sau ajustează dimensiunea fișierului la DIMENSIUNE octeți

--help
    afișează acest mesaj de ajutor și iese

--version
    afișează informațiile despre versiune și iese

Argumentul DIMENSIUNE este compus dintr-un număr întreg și o unitate opțională (exemplu: 10K este 10*1024). Unitățile sunt K,M,G,T,P,E,Z,Y,R,Q (puteri de 1024) sau KB,MB,... (puteri de 1000). Prefixele binare pot fi folosite, de asemenea: KiB=K, MiB=M ș.a.m.d.

DIMENSIUNEA poate fi, de asemenea, precedată de unul dintre următoarele caractere modificatoare: „+” extinde cu, „-” reduce cu, „<” cel mult, „>” cel puțin, „/” rotunjește la un multiplu mai mic de, „%” rotunjește la un multiplu mai mare de.

AUTOR
Scris de Padraig Brady.

RAPORTAREA ERORILOR
Ajutor online GNU coreutils: <https://www.gnu.org/software/coreutils/>
Raportați orice erori de traducere la: <https://translationproject.org/team/ro.html>

DREPTURI DE AUTOR
Drepturi de autor © 2025 Free Software Foundation, Inc. Licența GPLv3+: GNU GPL versiunea 3 sau ulterioară <https://gnu.org/licenses/gpl.html>.
Acesta este software liber: sunteți liber să-l modificați și să-l redistribuiți. Nu există NICIO GARANȚIE, în limitele prevăzute de lege.

CONSULTAȚI ȘI
dd(1), truncate(2), ftruncate(2)

Documentația completă este disponibilă la <https://www.gnu.org/software/coreutils/truncate>
sau local rulând comanda: «info '(coreutils) truncate invocation'»

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.